<?php
header("Content-type: text/html; charset=utf-8");
//接口地址
$url = 'http://1.api.apistore.cn/idcard3';
//请正确填写appcode,如果填写错误阿里云会返回错误
//appcode查看地址 https://market.console.aliyun.com/imageconsole/
$appCode = '您的appcode';
//姓名
$params['realName'] = '姓名';
//身份证号码
$params['cardNo'] = '身份证号码';
//发送远程请求;
$result = APISTORE($url, $params, $appCode, "POST");
//返回结果
if ($result['error_code'] == 0)
    echo $result['reason']; //信息一致
else
    echo $result['reason'];  //信息不一致


/**
 * APISTORE 获取数据
 * @param $url 请求地址
 * @param array $params 请求的数据
 * @param $appCode 您的APPCODE
 * @param $method
 * @return array|mixed
 */
function APISTORE($url, $params = array(), $appCode, $method = "GET")
{
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $method == "POST" ? $url : $url . '?' . http_build_query($params));
    curl_setopt($curl, CURLOPT_HTTPHEADER, array(
        'Authorization:APPCODE ' . $appCode
    ));
    //如果是https协议
    if (stripos($url, "https://") !== FALSE) {
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
        //CURL_SSLVERSION_TLSv1
        curl_setopt($curl, CURLOPT_SSLVERSION, 1);
    }
    //超时时间
    curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 60);
    curl_setopt($curl, CURLOPT_TIMEOUT, 60);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    //通过POST方式提交
    if ($method == "POST") {
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($params));
    }
    //返回内容
    $callbcak = curl_exec($curl);
    //http status
    $CURLINFO_HTTP_CODE = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    //关闭,释放资源
    curl_close($curl);
    //如果返回的不是200,请参阅错误码 https://help.aliyun.com/document_detail/43906.html
    if ($CURLINFO_HTTP_CODE == 200)
        return json_decode($callbcak, true);
    else if ($CURLINFO_HTTP_CODE == 403)
        return array("error_code" => $CURLINFO_HTTP_CODE, "reason" => "剩余次数不足");
    else if ($CURLINFO_HTTP_CODE == 400)
        return array("error_code" => $CURLINFO_HTTP_CODE, "reason" => "APPCODE错误");
    else
        return array("error_code" => $CURLINFO_HTTP_CODE, "reason" => "APPCODE错误");
}

